Subject: Verb names vs. numbers

From: [email-masked] (Gustavo Glusman)
Date: Thu, 2 Sep 1993 12:21:13 -0700

I couldn't find an example of what I said previously, so I take it back.
What there is, though, is the following:
If an object has some verbs defined on it (let's say 2: 0 and 1), you can
test whether for $object_utils:has_callable_verb(object,"1").
This will return TRUE.
But then you try to call this verb... object:("1")(<args>); and you get a
verb-not-found traceback. (that is, if the object hasn't -by chance- a verb
named "1".)

Example:
what="1";
x=<some object>;
if ($object_utils:has_callable_verb(x,what))
  x:(what)();
endif

This gives a traceback, if no :"1" is defined.
Sorry for the previous error.
Gustavo Glusman -- [email-masked]